## samhain 4.1.4

=== Makefile ===
CC	= cc
#CFLAGS	= -g -Wid-clash-6
CFLAGS	= -O


default: bignum.o

all:	bignum.o bigtest pi

bigtest: bigtest.o bignum.o
	$(CC) -o bigtest bigtest.o bignum.o

bigtest.o: bigtest.c bignum.h internal.h Makefile
	$(CC) $(CFLAGS) -c bigtest.c

pi:	pi.o bignum.o
	$(CC) -o pi pi.o bignum.o

pi.o:	pi.c bignum.h internal.h
	$(CC) $(CFLAGS) -c pi.c

bignum.o: bignum.c bignum.h internal.h
	$(CC) $(CFLAGS) -c bignum.c

internal.h: mkhdr
	mkhdr


# If your compiler can't handle long identifiers (> 6 chars), move the `#' to
# the other line.

mkhdr: mkhdr.c Makefile
#	$(CC) $(CFLAGS) -DBIG_SHORT_NAMES -o mkhdr mkhdr.c
	$(CC) $(CFLAGS) -o mkhdr mkhdr.c

clean:
	/bin/rm -f mkhdr bigtest pi *.o

=== debian/changelog ===
samhain (4.1.4-7) unstable; urgency=medium

  * Team upload.

  [ Javier Fernández-Sanguino Peña ]
  * Add build conflict on autoconf-archive to prevent FTBFS (Closes: #1099415)
  * debian/samhain.init: Instead of using hard-coded path of
    /var/lib/samhain/samhain_file for the location of the database, check the
    configuration file. This prevents samhain from failing in case the
    administrator has changed its location (Closes: #868158)

  [ Sven Geuer ]
  * d/rules:
    - Quick fix to make samhain 4.1.4 buildable using GCC-15 (Closes: #1097839)
    - Quick fix preventing potential segfaults (Closes: #1111631)
      Thanks to Aurelien Jarno <aurel32@debian.org> for debugging and
      providing a patch.
  * Update Portuguese debconf template translations (Closes: #1107458)
    Thanks to Américo Monteiro <a_monteiro@gmx.com> for providing it.

 -- Sven Geuer <sge@debian.org>  Sat, 06 Sep 2025 21:05:45 +0200

samhain (4.1.4-6) unstable; urgency=medium

  * Team upload.
  * Add Arabic debconf template translations (Closes: #1099794).
  * Add Catalan debconf template translations (Closes: #1100573).
  * Update Czech debconf template translations (Closes: #1100407).
  * Update Danish debconf template translations (Closes: #1099956).
  * Update German debconf template translations (Closes: #1101049).
  * Update French debconf template translations (Closes: #1089788).
  * Add Galician debconf template translations (Closes: #1099958).
  * Add Indonesian debconf template translations (Closes: #1084184, #1100024).
  * Update Italian debconf template translations (Closes: #1085018).
  * Update Japanese debconf template translations (Closes: #1099959).
  * Update Dutch debconf template translations (Closes: #1087213).
  * Update Brazilian Portuguese debconf template translations
    (Closes: #1085054).
  * Update Romanian debconf template translations (Closes: #1033708, #1099799).
  * Update Swedish debconf template translations (Closes: #1099953).

 -- Sven Geuer <sge@debian.org>  Wed, 26 Mar 2025 19:48:21 +0100

samhain (4.1.4-5) unstable; urgency=medium

  * Team upload.
  * d/rules:
    - Remove the entire /run dir instead of the non-existing file
      /var/run/samhain, fixing lintian error dir-or-file-in-run.
    - Remove trailing whitespace.
  * d/p/*: Add patch to fix FTBFS on s390x (Closes: #1091380).
  * d/changelog:
    - Wrap too long line in previous changelog entry.
    - Remove trailing whitespace.

 -- Sven Geuer <sge@debian.org>  Fri, 10 Jan 2025 21:53:52 +0100

samhain (4.1.4-4) unstable; urgency=medium

  * debian/samhain.service:
      - Do not call the init.d script as database initialisation takes a
        long time and, moreover, it does not appear to return control when
        it finishes and the service starts.
      - Add the PIDfile location as systemd expects it to be /run/samhain.pid
        but it is not there.
      - Add Documentation to refer to the manual page
  * debian/config, debian/templates, debian/po: Create a new configuration item
    to create the integrity database on package configuration if the
    administrator agrees to.
  * debian/rules, debian/samhain.service: Stop using the legacy /var/run and
    use /run instead to avoid warnings by some subsystems (e.g. systemd)
  * debian/po/es.po: Updated Spanish translation with new strings
  * debian/patches/: Add documentation and values to some patches that were
     missing them.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Oct 2024 11:19:54 +0200

samhain (4.1.4-3) unstable; urgency=medium

  * Acknowledge NMUs (Closes: #1066529, #999967, #1007320, #843304)
  * Update the package and fix open bugs, to ensure it is properly supported
    now the package is team maintained (Closes:#1082808, #1083112)
  * debian/rules:
     - Remove libprelude from the configuration as libprelude does not support
       Python 3.13 (see #1081473)
     - Fix the call to dh_install to properly install the configuration
       file
  * debian/samhain.logrotate: Rename the file so it is installed by
    dh_installlogrotate and remove it from dh_install
  * debian/samhain.install: adjust the contents of the file
  * debian/control:
    - Update debhelper version and Standards version
    - Change the Maintainer field to make this a package managed by the
      pkg-security team
    - Remove libprelude dependency
    - Add location of VCS in Salsa
  * debian/samhain.service: Have samhain start through the PIDfile so
    integrity database gets created if it does not exist. Otherwise it will
    never start properly on a fresh install
  * Remove debian/compat as we set the debhelper level in debian/control
  * debian/po: Convert all files in ISO-8859 encoding to UTF-8
  * debian/README.Debian: Convert to UTF-8
  * debian/config, debian/preinst: Do not ignore errors in maintainer scripts
    (lintian fix) (Closes: #866278)
  * debian/rules: Fix FTCBFS: Pass --build and --host to ./configure with
    patch provided by Helmut Grohne (Closes: #900202)
  * debian/po/ro.po: Add Romanian translation (Closes: #10337089)
  * debian/samhain.init: Add short description to the init.d file so that
    the service name is properly logged into console (previously it would say
    'null' (Closes: #865574)
  * Add new patches:
    - debian/patches/configure_fixes.patch: Fix the autoconfiguration of the
      sources to work with the latest autoconf version in unstable
    - debian/patches/realclean: Clean properly the sources and autogenerated
      files
    - debian/patches/improve_errors: Improve the errors shown when samhain
      cannot start due to the database not existing (which needs to be
      initialise) as this is shown to the users when the service is attempted
      to be started but no database yet exists. Also improve the error shown
      when the configuration file does not exist.

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Sun, 06 Oct 2024 01:41:16 +0200



=== debian/control ===
Source: samhain
Section: admin
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper-compat (= 12), autoconf, procps, libgmp3-dev, libext2fs-dev, libauparse-dev [linux-any], autotools-dev, dh-exec
Build-Conflicts: autoconf-archive
Homepage: http://la-samhna.de/samhain/index.html
Vcs-Git: https://salsa.debian.org/pkg-security-team/samhain.git
Vcs-Browser: https://salsa.debian.org/pkg-security-team/samhain
Standards-Version: 4.7.0
Rules-Requires-Root: no


Package: samhain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, debconf (>= 1.2.9) | debconf-2.0
Description: Data integrity and host intrusion alert system
 Samhain is an integrity checker and host intrusion detection system that
 can be used on single hosts as well as large, UNIX-based networks.
 It supports central monitoring as well as powerful (and new) stealth
 features to run undetected on memory using steganography.
 .
 Main features
     * Complete integrity check
          + uses cryptographic checksums of files to detect
            modifications,
          + can find rogue SUID executables anywhere on disk, and
     * Centralized monitoring
          + native support for logging to a central server via encrypted
            and authenticated connections
     * Tamper resistance
          + database and configuration files can be signed
          + logfile entries and e-mail reports are signed
          + support for stealth operation

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for samhain
# Copyright (C) 2001 to 2024 by Javier Fernandez-Sanguino <jfs@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
# export DH_COMPAT=12

include /usr/share/dpkg/architecture.mk

# Disable dnmalloc for most architectures except for
# those known to work (i386 and amd64).
# For more information see:
# http://www.la-samhna.de/samhain/manual/dnmalloc.html
ifeq (linux,$(DEB_HOST_ARCH_OS))
ifeq (amd64,$(DEB_HOST_ARCH))
DNMALLOC = --enable-dnmalloc
else ifeq (i386,$(DEB_HOST_ARCH))
DNMALLOC = --enable-dnmalloc
else
DNMALLOC = --disable-dnmalloc
endif
else
ifeq (amd64,$(DEB_HOST_ARCH))
DNMALLOC = --enable-dnmalloc
else ifeq (i386,$(DEB_HOST_ARCH))
DNMALLOC = --enable-dnmalloc
else
DNMALLOC = --disable-dnmalloc
endif
endif

ifeq (x86_64,$(DEB_HOST_GNU_CPU))
DISABLE_ASM = --disable-asm
endif

# This is a quick fix to make samhain 4.1.4 buildable using GCC-15. See
# https://bugs.debian.org/1097839 for further details. I suggest to work
# with upstream to make samhain's upstream code compliant with GCC-15.
export DEB_CFLAGS_MAINT_APPEND=-std=gnu17

# This is a quick fix regarding bug #1111631 following a patch provided by
# Aurelien Jarno <aurel32@debian.org>, see https://bugs.debian.org/1111631
# for further details. I suggest to report the problem upstream so that they
# can rework the dnmalloc code.
#
# Disable dnmalloc for all architectures at it is unmaintained and has issues
# with GCC >= 11 (see #1111631)
DNMALLOC = --disable-dnmalloc

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--with-config-file=/etc/samhain/samhainrc \
		--with-state-dir=/var/lib/samhain  \
		$(DNMALLOC) \
		$(DISABLE_ASM) \
		--enable-network=no  \
		--enable-login-watch \
		--enable-mounts-check \
		--enable-process-check \
		--enable-port-check \
		--enable-suidcheck \
		--with-pid-file=/run/samhain/samhain.pid \
		--with-log-file=/var/log/samhain/samhain.log \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--host=$(DEB_HOST_GNU_TYPE) \


override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	-rm -f samhainrc.install
	-rm -f build-stamp build-server-stamp build-client-stamp
	dh_clean


override_dh_installdirs:
	dh_installdirs
	# Fix the permissions
	chmod o-rX `pwd`/debian/samhain/var/log/samhain \
		`pwd`/debian/samhain/var/lib/samhain \
		`pwd`/debian/samhain/etc/samhain

override_dh_install:
	$(MAKE) install install-boot DESTDIR=`pwd`/debian/samhain
	# However, remove the rc.d links
	-rm -rf `pwd`/debian/samhain/etc/rc?.d
	# Remove /run from the package, it is created by the init script
	-rm -rf `pwd`/debian/samhain/run
	# Remove the configuration file as it needs to be installed by dh_install
	-rm -rf `pwd`/debian/samhain/etc/samhain/samhainrc
	dh_install


override_dh_installdocs:
	dh_installdocs
	[ -f debian/samhain/usr/share/doc/samhain/MANUAL-2_4.html.tar ] && \
		cd debian/samhain/usr/share/doc/samhain && \
		tar xf MANUAL-2_4.html.tar && mv MANUAL-2_4 manual.html && \
		rm -f MANUAL-2_4.html.tar

override_dh_installinit:
	dh_installinit -- defaults 19

override_dh_installchangelogs:
	dh_installchangelogs docs/Changelog

# TODO: create install targets for client and server
# Builds the server (Yule)
# See http://www.la-samhna.de/samhain/manual/yule.html
build-server: build-server-stamp
build-server-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--with-config-file=/etc/yule/yulerc \
		--with-state-dir=/var/lib/yule  \
		--with-prelude \
		$(DNMALLOC) \
		--enable-network=server  \
		--enable-login-watch \
		--enable-mounts-check \
		--enable-logfile-monitor \
		--enable-process-check \
		--enable-port-check \
		--enable-suidcheck \
		--with-pid-file=/var/run/samhain/yule.pid \
		--with-log-file=/var/log/samhain/yule.log
	$(MAKE)
	touch build-server-stamp

# Build the Samhain client
build-client: build-client-stamp
build-client-stamp:
	dh_testdir
	./configure --prefix=/usr --mandir=\$${prefix}/share/man \
		--with-config-file=/etc/samhain/samhainrc \
		--with-state-dir=/var/lib/samhain  \
		--with-prelude \
		$(DNMALLOC) \
		--enable-network=client \
		--enable-login-watch \
		--enable-mounts-check \
		--enable-logfile-monitor \
		--enable-process-check \
		--enable-port-check \
		--enable-suidcheck \
		--with-pid-file=/var/run/samhain/samhain.pid \
		--with-log-file=/var/log/samhain/samhain.log
	$(MAKE)
	touch build-client-stamp


get-orig-source:
	@echo "Retrieving source"
	wget -q -O samhain-current.tar.gz  http://la-samhna.de/samhain/samhain-current.tar.gz
	@echo "Extracting source"
	tar -zxf samhain-current.tar.gz
	@echo "Verifying source"
	# Take the latest version
	file=`tar -ztf samhain-current.tar.gz |grep -v asc | head -1`; \
	gpgfile=`tar -ztf samhain-current.tar.gz |grep asc | head -1`; \
	newfile=`echo $$file | sed -e 's/-/_/; s/\.tar/.orig.tar/'`; \
	mv $$file $$newfile; \
	gpg -q --verify $$gpgfile $$newfile
	rm -f samhain-current.tar.gz
